List Agents
curl --request GET \
--url https://app.aisync.link/api/ai/agent/list \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.aisync.link/api/ai/agent/list"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.aisync.link/api/ai/agent/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.aisync.link/api/ai/agent/list",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.aisync.link/api/ai/agent/list"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.aisync.link/api/ai/agent/list")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.aisync.link/api/ai/agent/list")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"agent_id": "<string>",
"agent_name": "<string>",
"status": "<string>",
"general_prompt": "<string>",
"weebhook_endpoint": "<string>",
"weebhook_endpoint_method": "GET",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"current_page": 123,
"per_page": 123,
"total": 123
}{
"error": "<string>",
"error_description": "<string>",
"message": "<string>"
}AI Agents
List Agents
Retrieve a paginated list of all AI agents associated with your account. Use this endpoint to get an overview of all your agents and their details.
GET
/
api
/
ai
/
agent
/
list
List Agents
curl --request GET \
--url https://app.aisync.link/api/ai/agent/list \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.aisync.link/api/ai/agent/list"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.aisync.link/api/ai/agent/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.aisync.link/api/ai/agent/list",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.aisync.link/api/ai/agent/list"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.aisync.link/api/ai/agent/list")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.aisync.link/api/ai/agent/list")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"agent_id": "<string>",
"agent_name": "<string>",
"status": "<string>",
"general_prompt": "<string>",
"weebhook_endpoint": "<string>",
"weebhook_endpoint_method": "GET",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"current_page": 123,
"per_page": 123,
"total": 123
}{
"error": "<string>",
"error_description": "<string>",
"message": "<string>"
}List Agents
Retrieve a paginated list of all AI agents associated with your account. Use this endpoint to get an overview of all your agents and their details.integer
required
The page number to retrieve (starts from 1)
integer
required
Number of agents to return per page (maximum 100)
string
required
Bearer token in the format:
Bearer {access_token}curl --location 'https://app.aisync.link/api/ai/agent/list?page=1&per_page=100' \
--header 'Authorization: Bearer {{bearer_token}}'
array
Array of agent objects containing agent details
integer
The current page number
integer
Number of items per page
integer
Total number of agents available
Use pagination parameters to efficiently retrieve large lists of agents. The maximum number of agents per page is 100.
Authorizations
Bearer token authentication. Include the access token in the Authorization header as 'Bearer {access_token}'
Query Parameters
The page number to retrieve (starts from 1)
Required range:
x >= 1Number of agents to return per page (maximum 100)
Required range:
1 <= x <= 100